/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to you under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: WelcomeTestCase.java 464373 2006-10-16 04:21:54Z rahul $
 */

package org.apache.shale.blank.systest;

import java.util.ResourceBundle;
import junit.framework.Test;
import junit.framework.TestSuite;
import org.apache.shale.test.cargo.CargoTestSetup;
import org.apache.shale.test.htmlunit.AbstractHtmlUnitTestCase;

/**
 * <p>System test case for the <code>/welcome.jsp</code> page.</p>
 */
public class WelcomeTestCase extends AbstractHtmlUnitTestCase {
    

    // ------------------------------------------------------------ Constructors


    /**
     * <p>Construct a new instance of this test case.</p>
     *
     * @param name Name of the new test case
     */
    public WelcomeTestCase(String name) {

        super(name);

    }


    // ------------------------------------------------------ Instance Variables


    private ResourceBundle bundle =
            ResourceBundle.getBundle("org.apache.shale.blank.Bundle");


    // ------------------------------------------------------ Test Setup Methods


    /**
     * <p>Set up the instance variables required for this test case.</p>
     */
    protected void setUp() throws Exception {

        super.setUp();
        page("/");

    }


    /**
     * <p>Return the set of tests included in this test suite.</p>
     */
    public static Test suite() {

        return new CargoTestSetup(new TestSuite(WelcomeTestCase.class));

    }


    /**
     * <p>Tear down instance variables required by this test case.</p>
     */
    protected void tearDown() throws Exception {

        super.tearDown();

    }



    // ------------------------------------------------- Individual Test Methods


    // Test a pristine instance of this page
    public void testPristine() throws Exception {

        assertEquals(bundle.getString("welcome.title"), title());

    }


}
